using SqlSugar;

namespace MDL.DTOs
{
    public class OpsMonitorDto
    {
        [SugarColumn(ColumnName = "日期")]
        public string Date { get; set; }

        [SugarColumn(ColumnName = "当天新增换单数")]
        public int DailyNewReplaceCount { get; set; }

        [SugarColumn(ColumnName = "累计要换的总单数")]
        public int CumulativeTotalCount { get; set; }

        [SugarColumn(ColumnName = "当天应该换单数")]
        public int ShouldReplaceCount { get; set; }

        [SugarColumn(ColumnName = "当日换单完成数")]
        public int DailySuccessCount { get; set; }

        [SugarColumn(ColumnName = "当日换单失败数")]
        public int DailyFailureCount { get; set; }

        [SugarColumn(ColumnName = "当日STOP数")]
        public int DailyStopCount { get; set; }

        [SugarColumn(ColumnName = "24小时换单成功数")]
        public int Rate24HourCount { get; set; }

        [SugarColumn(ColumnName = "当日标签推送数")]
        public int DailyLabelPushCount { get; set; }

        [SugarColumn(ColumnName = "当日扫描数")]
        public int DailyScanCount { get; set; }

        [SugarColumn(ColumnName = "当天换单完成率")]
        public string DailyCompletionRate { get; set; }

        [SugarColumn(ColumnName = "24小时换单率")]
        public string Rate24Hour { get; set; }

        [SugarColumn(ColumnName = "数据拉取时间（UTC_5）")]
        public DateTime DataFetchTime { get; set; }
    }
}
